std::logical_and< _Tp >(3)

NAME
std::logical_and< _Tp > - One of the Boolean operations functors.

SYNOPSIS

#include <functional>

Inherits std::binary_function< _Tp, _Tp, bool >.

  Public Types
typedef _Tp first_argument_type
first_argument_type is the type of the first argument
typedef bool result_type
result_type is the return type
typedef _Tp second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions
constexpr bool operator() (const _Tp &__x, const _Tp &__y) const

Detailed Description

  template<typename _Tp>
struct std::logical_and< _Tp >"One of the Boolean operations functors.

Member Typedef Documentation

  typedef _Tp std::binary_function< _Tp , _Tp , bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef bool std::binary_function< _Tp , _Tp , bool >::result_type [inherited]

result_type is the return type

  typedef _Tp std::binary_function< _Tp , _Tp , bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.